<%@ page import="com.lombardisoftware.portal.utils.EndpointServiceUtils" %>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigService" %>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceScenario" %>

<%
String processPortalContextRoot = null;
String processPortalSupportContextRoot = null;
String teamworksContextRoot = null;
String bpmHelpContextRoot = null;
String webviewerContextRoot = null;

processPortalContextRoot = EndpointServiceUtils.getEndpointUrl(
	EndpointServiceScenario.PROCESS_PORTAL_SUPPORT_TO_PROCESS_PORTAL,
	EndpointServiceScenario.RELATIVE, 
	BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTAL, 
	request);
processPortalSupportContextRoot = EndpointServiceUtils.getEndpointUrl(
	EndpointServiceScenario.PROCESS_PORTAL_SUPPORT,
	EndpointServiceScenario.RELATIVE, 
	BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT, 
	request);
teamworksContextRoot = EndpointServiceUtils.getEndpointUrl(
	EndpointServiceScenario.PROCESS_PORTAL_SUPPORT_TO_TEAMWORKS, 
	EndpointServiceScenario.RELATIVE, 
	BPMContextRootConfigService.BPM_WARNAME_TEAMWORKS, 
	request);
bpmHelpContextRoot = EndpointServiceUtils.getEndpointUrl(
	EndpointServiceScenario.PROCESS_PORTAL_SUPPORT_TO_BPM_HELP, 
	EndpointServiceScenario.RELATIVE, 
	BPMContextRootConfigService.BPM_WARNAME_BPMHELP, 
	request);
webviewerContextRoot = EndpointServiceUtils.getEndpointUrl(
	EndpointServiceScenario.PROCESS_PORTAL_TO_WEBVIEWER, 
	EndpointServiceScenario.RELATIVE, 
	BPMContextRootConfigService.BPM_WARNAME_WEBVIEWER, 
	request);
%>

<script type="text/javascript">
window.endpointURLObject = {
	processPortal: "<%= processPortalContextRoot %>",
	processPortalSupport: "<%= processPortalSupportContextRoot %>",
	teamworks: "<%= teamworksContextRoot %>",
    webviewer: "<%= webviewerContextRoot %>"
};
</script>